package com.dsic.gj_erp.bean.sy;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
@ApiModel("工作组子系统中间表")
@Entity
@Table(name = "syimrp")
@Data
@IdClass(Syimrp.PrimaryKey.class)
public class Syimrp {

    @Id
    @JsonProperty
    private String GWDM;
    @Id
    @JsonProperty
    private String ZXTBM;
    private String YLZD1;
    private String YLZD2;
    private String YLZD3;
    private BigDecimal YLZD4;
    private BigDecimal YLZD5;
    private BigDecimal YLZD6;

    @Data
    public static class PrimaryKey implements Serializable {
        private String GWDM;
        private String ZXTBM;
    }
}
